Skip to main content
GET
List customers

Authorizations

Authorization
string
header
required

API key created in the organization settings.

Query Parameters

limit
integer
default:25

Maximum number of items per page.

Required range: 1 <= x <= 100
starting_after
string

ID of the last customer on the previous page.

Pattern: ^cus_[A-Za-z0-9_-]+$
email
string<email>

Customer's exact email address.

phone
string

Customer phone number, from 3 to 32 characters.

Required string length: 3 - 32
tag_id
string

Filters customers by tag.

Pattern: ^tag_[A-Za-z0-9_-]+$
segment_id
string

Filters customers by segment.

Pattern: ^seg_[A-Za-z0-9_-]+$
is_subscribed
boolean

Filters customers by subscription status.

created_since
string<date-time>

Includes items created at or after this instant.

created_until
string<date-time>

Includes items created at or before this instant.

updated_since
string<date-time>

Includes customers updated at or after this instant.

q
string

Search text, up to 256 characters.

Required string length: 1 - 256
sort
enum<string>
default:updated

Sorts by last update or total amount spent.

Available options:
updated,
total_spent

Response

Customer page.

has_more
boolean
required

Indicates whether another page is available.

data
object[]
required